<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CostbgfixedMapper">

    <resultMap id="costbgfixedMap" type="com.tofly.xrtygis.entity.Costbgfixed">
        <id property="id" column="ID"/>
        <result property="yearId" column="YEAR_ID"/>
        <result property="mouth" column="MOUTH"/>
        <result property="paczfyOne" column="PACZFY_ONE"/>
        <result property="paczfyTwo" column="PACZFY_TWO"/>
        <result property="syzfyOne" column="SYZFY_ONE"/>
        <result property="ylzfyTwo" column="YLZFY_TWO"/>
        <result property="pamzszfy" column="PAMZSZFY"/>
        <result property="ftzfy" column="FTZFY"/>
        <result property="cnzfy" column="CNZFY"/>
        <result property="gmsjfhyzfy" column="GMSJFHYZFY"/>
        <result property="pamwnzfy" column="PAMWNZFY"/>
        <result property="bcszfy" column="BCSZFY"/>
        <result property="wnzyf" column="WNZYF"/>
        <result property="jbdfOne" column="JBDF_ONE"/>
        <result property="jbdfTwo" column="JBDF_TWO"/>
        <result property="jbdfTotal" column="JBDF_TOTAL"/>
        <result property="dldfOne" column="DLDF_ONE"/>
        <result property="dldfTwo" column="DLDF_TWO"/>
        <result property="dldfTotal" column="DLDF_TOTAL"/>
        <result property="ysf" column="YSF"/>
        <result property="szysfOne" column="SZYSF_ONE"/>
        <result property="szysfTwo" column="SZYSF_TWO"/>
        <result property="szysfTotal" column="SZYSF_TOTAL"/>
        <result property="dfcbOne" column="DFCB_ONE"/>
        <result property="dfcbTwo" column="DFCB_TWO"/>
        <result property="dfcbTotal" column="DFCB_TOTAL"/>
        <result property="paccbOne" column="PACCB_ONE"/>
        <result property="sycbOne" column="SYCB_ONE"/>
        <result property="cncbOne" column="CNCB_ONE"/>
        <result property="bcscbOne" column="BCSCB_ONE"/>
        <result property="zsclcbOne" column="ZSCLCB_ONE"/>
        <result property="paccbTwo" column="PACCB_TWO"/>
        <result property="ylcbTwo" column="YLCB_TWO"/>
        <result property="pamzscbTwo" column="PAMZSCB_TWO"/>
        <result property="ftcbTwo" column="FTCB_TWO"/>
        <result property="gmsjfhycbTwo" column="GMSJFHYCB_TWO"/>
        <result property="pamwncbTwo" column="PAMWNCB_TWO"/>
        <result property="wnzycbTwo" column="WNZYCB_TWO"/>
        <result property="zsclcbTwo" column="ZSCLCB_TWO"/>
        <result property="zsclcbTotal" column="ZSCLCB_TOTAL"/>
        <result property="ysfcb" column="YSFCB"/>
        <result property="szysfcbOne" column="SZYSFCB_ONE"/>
        <result property="szysfcbTwo" column="SZYSFCB_TWO"/>
        <result property="szysfcbTotal" column="SZYSFCB_TOTAL"/>
        <result property="zfyOne" column="ZFY_ONE"/>
        <result property="zfyTwo" column="ZFY_TWO"/>
        <result property="dwcbOne" column="DWCB_ONE"/>
        <result property="dwcbTwo" column="DWCB_TWO"/>
        <result property="dwcbTotal" column="DWCB_TOTAL"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="zzsclfyOne" column="ZZSCLFY_ONE"/>
        <result property="zzsclfyTwo" column="ZZSCLFY_TWO"/>
        <result property="zfy" column="ZFY"/>
        <result property="otherzfy" column="OTHERZFY"/>
        <result property="othercb" column="OTHERCB"/>
        <result property="cncbTwo" column="CNCB_TWO"/>
        <result property="cnzfyTwo" column="CNZFY_TWO"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="otherOneZfy" column="OTHER_ONE_ZFY"/>
        <result property="otherTwoZfy" column="OTHER_TWO_ZFY"/>
        <result property="otherOneCb" column="OTHER_ONE_CB"/>
        <result property="otherTwoCb" column="OTHER_TWO_CB"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
